let 
  keys = import ../keys.nix;

in

{
  mkUser = {uid, hashedPassword, ... } @ args: args // {
    inherit uid hashedPassword;
    isNormalUser = true;
    extraGroups = [
      "docker"
      "wheel"
      "libvirtd"
      "networkmanager"
      "vboxusers"
      "users"
      "input"
      "audio"
      "video"
      "cdrom"
    ];
  };
}

