{ config
, pkgs
, ... }:

let 
  passwords = import ../passwords.crypt.nix;
  keys = import ../keys.nix;
in {
  users.mutableUsers = false;
  users.extraUsers.root = {
    hashedPassword = passwords.users.root;
    openssh.authorizedKeys.keys = keys.openssh.steveej;
  };
}
