# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, deviceid, ... }:

{
  imports = [ 
    ../common/steveej-live-usb/boot.nix
    ../common/steveej-live-usb/system.nix
    ../common/steveej-live-usb/hw.nix
    ../common/steveej-live-usb/pkg.nix
    ../common/user/root.nix
    ../common/user/steveej.nix
    ../common/pkg/default.nix

    ./system.nix
    ./hw.nix
  ];
}
